package ru.redguy.tasks;

import ru.redguy.ATask;
import ru.redguy.Task;

import java.io.IOException;

@ATask("50")
public class Task50 extends Task {
    @Override
    public void run() throws IOException {
        for (int N = 0; N < 50; N++) {
            String bin = Integer.toString(N,2);
            if(N%2==0) {
                bin+="01";
            } else {
                bin+="10";
            }
            int parsed = Integer.parseInt(bin,2);
            if(parsed>=73) {
                System.out.println(N + " - " + parsed);
            }
        }
    }
}
